Name:           perl-PDF-API2
Version:        0.69
Release:        5%{?dist}
Summary:        Perl module for creation and modification of PDF files

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://search.cpan.org/dist/PDF-API2/ 
Source0:        http://search.cpan.org/CPAN/authors/id/A/AR/AREIBENS/PDF-API2-%{version}.tar.gz 
Patch0:         font-location.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker), perl(Test::More)
BuildRequires:  perl(Compress::Zlib), perl(XML::Parser::Expat)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       dejavu-fonts, dejavu-fonts-experimental

%description
A Perl Module Chain to faciliate the Creation and Modification of High-Quality
"Portable Document Format (aka. PDF)" Files.


%prep
%setup -q -n PDF-API2-%{version}

%patch0 -p1 -b .font-location

# remove patch backup file so that it doesn't get installed (bz #427762)
rm -f lib/PDF/API2.pm.orig

# fix eol encoding of some text files
for file in COPYING TODO CONTACT README LICENSE examples/* contrib/* \
    lib/PDF/API2/Resource/*txt; do
  sed -i 's/\r//' $file
done

# fix interpreter in example files
for file in contrib/pdf-{de,}optimize.pl; do
  sed -i 's/usr\/local/usr/' $file
done

# 027_winfont wants Win32.pm, so remove it
rm -f examples/027_winfont
sed -i '/examples\/027_winfont/d' MANIFEST

# make mode on included examples and contrib 0644 to keep from triggering
# rpmlint warning and additional auto-requires
chmod a-x contrib/* examples/*

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(the)/d'
EOF

%define __perl_requires %{_builddir}/PDF-API2-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

# we will not include the dejavu fonts in this package, we'll just require the
# deja-vu font packages and change the search location (patch0)
#
# These fonts can be found in these packages:
#
# package: dejavu-fonts
#          DejaVuSansMono-BoldOblique.ttf
#          DejaVuSerif.ttf
#          DejaVuSerif-Bold.ttf
#          DejaVuSansMono-Bold.ttf
#          DejaVuSans-Bold.ttf
#          DejaVuSans.ttf
#          DejaVuSansMono.ttf
#          DejaVuSansMono-Oblique.ttf
#          DejaVuSans-BoldOblique.ttf
#
# package: dejavu-fonts-experimental
#          DejaVuSerifCondensed.ttf
#          DejaVuSans-ExtraLight.ttf
#          DejaVuSansCondensed-Bold.ttf
#          DejaVuSansCondensed.ttf
#          DejaVuSerifCondensed-Oblique.ttf
#          DejaVuSans-Oblique.ttf
#          DejaVuSansCondensed-Oblique.ttf
#          DejaVuSansCondensed-BoldOblique.ttf
#          DejaVuSerifCondensed-BoldOblique.ttf
#          DejaVuSerif-BoldOblique.ttf
#          DejaVuSerifCondensed-Bold.ttf
#
rm -rf $RPM_BUILD_ROOT/%{perl_vendorlib}/PDF/API2/fonts


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CONTACT COPYING LICENSE README TODO
%doc contrib examples
%{perl_vendorlib}/*
# files that are not relevent to this OS
%exclude %{perl_vendorlib}/PDF/API2/Basic/TTF/Win32.pm
%exclude %{perl_vendorlib}/PDF/API2/Win32.pm


%changelog
* Thu May 22 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.69-5
- bump rel for new sources in F-7

* Thu May 22 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.69-4
- fix dejavu font path (bz #447505)

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.69-3
Rebuild for new perl

* Mon Jan 21 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.69-2
- patch .orig files packaged (bz #427762)

* Fri Jan 18 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.69-1
- 0.69

* Mon Nov 12 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.66-1
- 0.66

* Sun Oct 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.65-1
- 0.65

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.62-2
- update license tag to LGPLv2+
- remove CHANGELOG references

* Sun Aug 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.62-1
- 0.62

* Thu May 03 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.60-3
- update MANIFEST to remove 027_winfont that gets removed
- add missing BR perl(Test::More) and perl(XML::Parser::Expat)

* Sun Apr 29 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.60-2
- remove fonts and depend on dejavu-fonts and dejavu-fonts-experimental
- change font search path
- remove font docs

* Sat Apr 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.60-1
- v 0.60
- deliberately remove 027_winfont example as it wants Win32.pm
- BR on perl(Ext::MakeMaker) rather than perl

* Fri Apr 06 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.59.002-2
- moving resource to docs was a mistake, fix it

* Thu Apr 05 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.59.002-1
- initial release
